## cage 0.1.4

=== meson_options.txt ===
option('man-pages', type: 'feature', value: 'auto', description: 'Generate and install man pages')
option('xwayland', type: 'boolean', value: 'false', description: 'Enable support for X11 applications')

=== debian/changelog ===
cage (0.1.4-3) unstable; urgency=medium

  * Add patches to build with wlroots 0.15 (thanks to jbicha, Closes: #1008350)
  * Drop filenamemangle option from d/watch
  * Update year range in d/copyright stanza for debian/*

 -- Birger Schacht <birger@debian.org>  Sun, 03 Apr 2022 19:27:37 +0200

cage (0.1.4-2) unstable; urgency=medium

  * Fix d/watch
  * Add upstream signing key

 -- Birger Schacht <birger@debian.org>  Tue, 28 Dec 2021 10:05:58 +0100

cage (0.1.4-1) unstable; urgency=medium

  * Initial packaging (Closes: #927899)

 -- Birger Schacht <birger@debian.org>  Thu, 16 Dec 2021 12:19:06 +0100

=== debian/control ===
Source: cage
Section: x11
Priority: optional
Maintainer: Sway and related packages team <team+swaywm@tracker.debian.org>
Uploaders: Birger Schacht <birger@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 libwlroots-dev (>= 0.14.0),
 wayland-protocols (>= 1.14),
 libwayland-server0,
 libpixman-1-dev,
 libxkbcommon-dev,
 scdoc,
 meson,
 pkgconf,
Standards-Version: 4.6.0.1
Homepage: https://github.com/Hjdskes/cage
Vcs-Browser: https://salsa.debian.org/swaywm-team/cage
Vcs-Git: https://salsa.debian.org/swaywm-team/cage.git
Rules-Requires-Root: no

Package: cage
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: Kiosk compositor for Wayland
 Cage is a kiosk compositor for Wayland. A kiosk is a window manager (in the
 X11 world) or compositor (in the Wayland world) that is designed for a user
 experience wherein user interaction and activities outside the scope of the
 running application are prevented. That is, a kiosk compositor displays a
 single maximized application at a time and prevents the user from interacting
 with anything but this application.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_VERBOSE=1
export DH_OPTIONS=-v

include /usr/share/dpkg/pkg-info.mk
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem=meson

override_dh_auto_configure:
	dh_auto_configure -- -Dxwayland=true #--buildtype=debug

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/archive\/v?(\d\S+)\.tar\.gz/releases\/download\/$1\/cage-$1\.tar\.gz\.sig/ \
 https://github.com/Hjdskes/cage/releases .*/archive/refs/tags/v?(\d\S+)\.tar\.gz

## cage 0.1.4+20230724

=== debian/changelog ===
cage (0.1.4+20230724-1) unstable; urgency=medium

  * Package latest upstream sources (Closes: #1041851)
  * Drop backported patches
  * Update all references to new git repository
  * d/control:
   + Bump standards-version to 4.6.2 (no changes required)
  * d/changelog:
   + Bump years

 -- Birger Schacht <birger@debian.org>  Mon, 24 Jul 2023 14:26:42 +0200

cage (0.1.4-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on wayland-protocols.

  [ Birger Schacht ]
  * Adapt d/watch to use gitmode
  * Bump Standards-Version to 4.6.1.0 (no changes required)

 -- Birger Schacht <birger@debian.org>  Wed, 12 Oct 2022 15:54:08 +0200

## cage 0.1.5

=== meson_options.txt ===
option('man-pages', type: 'feature', value: 'auto', description: 'Generate and install man pages')
option('xwayland', type: 'boolean', value: false, description: 'Enable support for X11 applications')

=== debian/changelog ===
cage (0.1.5-1) unstable; urgency=medium

  * New upstream release

 -- Birger Schacht <birger@debian.org>  Fri, 28 Jul 2023 18:56:42 +0200

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,15 @@
 Build-Depends:
  debhelper-compat (= 13),
  libwlroots-dev (>= 0.14.0),
- wayland-protocols (>= 1.14),
+ wayland-protocols,
  libwayland-server0,
  libpixman-1-dev,
  libxkbcommon-dev,
  scdoc,
  meson,
  pkgconf,
-Standards-Version: 4.6.0.1
-Homepage: https://github.com/Hjdskes/cage
+Standards-Version: 4.6.2
+Homepage: https://github.com/cage-kiosk/cage
 Vcs-Browser: https://salsa.debian.org/swaywm-team/cage
 Vcs-Git: https://salsa.debian.org/swaywm-team/cage.git
 Rules-Requires-Root: no

## cage 0.1.5+20240127

=== meson_options.txt ===
option('man-pages', type: 'feature', value: 'auto', description: 'Generate and install man pages')
option('xwayland', type: 'feature', value: 'auto', description: 'Enable support for X11 applications')

=== debian/changelog ===
cage (0.1.5+20240127-2build1) noble; urgency=high

  * No change rebuild against libwlroots12t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:58:00 +0200

cage (0.1.5+20240127-2) unstable; urgency=medium

  * Add xwayland to Dependencies (Closes: #1063495)

 -- Birger Schacht <birger@debian.org>  Fri, 09 Feb 2024 08:32:52 +0100

cage (0.1.5+20240127-1) unstable; urgency=medium

  * Upload updated unrelease upstream sources for wlroots 0.17
    compatibility (Closes: #1058495)
  * d/rules: change meson option from `true` to `enabled`
  * d/copyright: bump years
  * d/control: set and update build-dep version constraints

 -- Birger Schacht <birger@debian.org>  Sat, 27 Jan 2024 10:44:53 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: cage
 Section: x11
 Priority: optional
-Maintainer: Sway and related packages team <team+swaywm@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Sway and related packages team <team+swaywm@tracker.debian.org>
 Uploaders: Birger Schacht <birger@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- libwlroots-dev (>= 0.14.0),
- wayland-protocols,
+ libwlroots-dev (>= 0.17.0),
+ wayland-protocols (>= 1.14.0),
  libwayland-server0,
  libpixman-1-dev,
  libxkbcommon-dev,
@@ -23,7 +24,8 @@
 Architecture: any
 Depends:
  ${shlibs:Depends},
- ${misc:Depends}
+ ${misc:Depends},
+ xwayland
 Description: Kiosk compositor for Wayland
  Cage is a kiosk compositor for Wayland. A kiosk is a window manager (in the
  X11 world) or compositor (in the Wayland world) that is designed for a user

=== debian/rules ===
--- 
+++ 
@@ -11,4 +11,4 @@
 	dh $@ --buildsystem=meson
 
 override_dh_auto_configure:
-	dh_auto_configure -- -Dxwayland=true #--buildtype=debug
+	dh_auto_configure -- -Dxwayland=enabled #--buildtype=debug

## cage 0.2.0

=== meson_options.txt ===
option('man-pages', type: 'feature', value: 'auto', description: 'Generate and install man pages')

=== debian/changelog ===
cage (0.2.0-2) unstable; urgency=medium

  * Reupload to unstable

 -- Birger Schacht <birger@debian.org>  Thu, 26 Dec 2024 15:07:29 +0100

cage (0.2.0-1) experimental; urgency=medium

  * New upstream release (Closes: #1081391)
  * d/control: bump wlroots build dependency
  * d/rules: drop dh_auto_configure override (it was only used for the
    xwayland compile time option, which does not exist anymore)

 -- Birger Schacht <birger@debian.org>  Mon, 07 Oct 2024 16:06:52 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: cage
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Sway and related packages team <team+swaywm@tracker.debian.org>
+Maintainer: Sway and related packages team <team+swaywm@tracker.debian.org>
 Uploaders: Birger Schacht <birger@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- libwlroots-dev (>= 0.17.0),
+ libwlroots-0.18-dev (>= 0.18.0),
  wayland-protocols (>= 1.14.0),
  libwayland-server0,
  libpixman-1-dev,

=== debian/watch ===
version=4
opts="mode=git,pgpmode=gittag" \
 https://github.com/cage-kiosk/cage refs/tags/v?(\d\S+)

## cage 0.2.0+20250816

=== debian/changelog ===
cage (0.2.0+20250816-2) unstable; urgency=medium

  * Reupload to unstable
  * Add a debian/gbp.conf file

 -- Birger Schacht <birger@debian.org>  Tue, 26 Aug 2025 16:15:30 +0200

cage (0.2.0+20250816-1) experimental; urgency=medium

  * Upload unreleased version.
  * debian/control: Bump wlroots dependency to 0.19 (Closes: #1111149)

 -- Birger Schacht <birger@debian.org>  Sat, 16 Aug 2025 14:59:13 +0200

## cage 0.2.1

=== debian/changelog ===
cage (0.2.1-1) unstable; urgency=medium

  * New upstream release

 -- Birger Schacht <birger@debian.org>  Sun, 05 Oct 2025 20:48:46 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Birger Schacht <birger@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- libwlroots-0.18-dev (>= 0.18.0),
+ libwlroots-0.19-dev (>= 0.19.0),
  wayland-protocols (>= 1.14.0),
  libwayland-server0,
  libpixman-1-dev,
